# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

Name:           cab
Version:        0.1.6
Release:        1%{?dist}.1
Summary:        Maintenance command for Haskell cabal packages

Group:          Development/Tools
License:        BSD
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-attoparsec-enumerator-devel, ghc-bytestring-devel, ghc-Cabal-devel, ghc-containers-devel, ghc-directory-devel, ghc-process-devel
# optionally also needs cabal-dev
Requires:       cabal-install

%description
Cab provides a maintenance command for Haskell cabal packages.
It is partly a wrapper of ghc-pkg and cabal.
If you get confused by the differences between the two commands,
need a way to check all outdated packages, or
to remove outdated packages recursively, this command will help.


%prep
%setup -q


%build
%ghc_bin_build


%install
%ghc_bin_install


%files
%defattr(-,root,root,-)
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}


%changelog
* Thu Oct 27 2011 Jens Petersen <petersen@redhat.com> - 0.1.6-1.1
- rebuild against newer attoparsec

* Wed Sep 21 2011 Jens Petersen <petersen@redhat.com> - 0.1.6-1
- update to 0.1.6

* Fri Aug 19 2011 Jens Petersen <petersen@redhat.com> - 0.1.5-1
- BSD license and add deps
- requires cabal-install

* Fri Aug 19 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.1.5-0
- initial packaging for Fedora automatically generated by cabal2spec-0.23.2
